-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.22-rc-community


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema test
--

CREATE DATABASE IF NOT EXISTS test;
USE test;

--
-- Definition of table `tbl_child`
--

DROP TABLE IF EXISTS `tbl_child`;
CREATE TABLE `tbl_child` (
  `Id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `MainId` int(10) unsigned NOT NULL,
  `Value` int(10) unsigned NOT NULL,
  `Enabled` bit(1) NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbl_child`
--

/*!40000 ALTER TABLE `tbl_child` DISABLE KEYS */;
INSERT INTO `tbl_child` (`Id`,`MainId`,`Value`,`Enabled`) VALUES 
 (1,2,12345,0x01);
/*!40000 ALTER TABLE `tbl_child` ENABLE KEYS */;


--
-- Definition of table `tbl_main`
--

DROP TABLE IF EXISTS `tbl_main`;
CREATE TABLE `tbl_main` (
  `Id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Descr` varchar(45) NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbl_main`
--

/*!40000 ALTER TABLE `tbl_main` DISABLE KEYS */;
INSERT INTO `tbl_main` (`Id`,`Descr`) VALUES 
 (1,'AAA'),
 (2,'BBB');
/*!40000 ALTER TABLE `tbl_main` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
